## pyecotrend-ista 3.3.2

=== requirements.txt ===
dataclasses-json>=0.6
requests>=2
