=== debian/changelog ===
pyecotrend-ista (3.3.2-2) unstable; urgency=medium

  * Source-only upload to allow package to migrate to testing.

 -- Edward Betts <edward@4angle.com>  Mon, 02 Dec 2024 20:12:56 +0000

pyecotrend-ista (3.3.2-1) unstable; urgency=medium

  * Initial release. (Closes: #1088795)

 -- Edward Betts <edward@4angle.com>  Sun, 01 Dec 2024 14:12:59 +0000
