=== debian/control ===
Source: pyecotrend-ista
Maintainer: Home Assistant Team <team+homeassistant@tracker.debian.org>
Uploaders:
 Edward Betts <edward@4angle.com>,
Section: python
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 pybuild-plugin-pyproject,
 python3-all,
 python3-setuptools,
Build-Depends-Indep:
 python3-dataclasses-json <!nocheck>,
 python3-pytest <!nocheck>,
 python3-pytest-cov <!nocheck>,
 python3-pytest-xdist <!nocheck>,
 python3-requests-mock <!nocheck>,
 python3-syrupy <!nocheck>,
Rules-Requires-Root: no
Standards-Version: 4.7.0
Homepage: https://github.com/Ludy87/pyecotrend-ista
Vcs-Browser: https://salsa.debian.org/homeassistant-team/deps/pyecotrend-ista
Vcs-Git: https://salsa.debian.org/homeassistant-team/deps/pyecotrend-ista.git

Package: python3-pyecotrend-ista
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: Library for accessing ecotrend-ista API
 This library provides functionality to interface with the ecotrend-ista API,
 enabling data retrieval and interaction with ista EcoTrend services. It allows
 users to import and manage monthly meter readings associated with heating, hot
 water, and water consumption. By connecting to the ista EcoTrend service, the
 library facilitates the acquisition of detailed sensor data, including heat
 cost allocation, energy consumption estimates in kilowatt-hours, and
 associated costs in euros. The data imported can further be used in various
 applications and services that integrate with ista EcoTrend's cloud polling
 capabilities.
