=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=pyecotrend-ista
export PYBUILD_TEST_PYTEST=1
export PYBUILD_TEST_ARGS=--snapshot-warn-unused

%:
	dh $@ --buildsystem=pybuild

override_dh_auto_clean:
	dh_auto_clean
	rm -rf pyecotrend_ista.egg-info/
