=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/pyecotrend-ista-$1\.tar\.gz/ \
  https://github.com/Ludy87/pyecotrend-ista/tags .*/v?(\d\S+)\.tar\.gz
