## pyecotrend-ista 3.3.3

=== requirements.txt ===
#
# This file is autogenerated by pip-compile with Python 3.10
# by the following command:
#
#    pip-compile --output-file=requirements.txt requirements.in
#
babel==2.17.0
    # via
    #   -r requirements.in
    #   mkdocs-git-revision-date-localized-plugin
    #   mkdocs-material
backrefs==5.8
    # via mkdocs-material
cachetools==5.5.2
    # via
    #   -r requirements.in
    #   tox
certifi==2025.4.26
    # via
    #   -r requirements.in
    #   requests
chardet==5.2.0
    # via
    #   -r requirements.in
    #   tox
charset-normalizer==3.4.2
    # via
    #   -r requirements.in
    #   requests
click==8.2.0
    # via
    #   -r requirements.in
    #   mkdocs
    #   mkdocs-click
colorama==0.4.6
    # via
    #   -r requirements.in
    #   click
    #   griffe
    #   mkdocs
    #   mkdocs-material
    #   pytest
    #   tox
coverage[toml]==7.8.0
    # via pytest-cov
csscompressor==0.9.5
    # via
    #   -r requirements.in
    #   mkdocs-minify-plugin
dataclasses-json==0.6.7
    # via -r requirements.in
distlib==0.3.9
    # via
    #   -r requirements.in
    #   virtualenv
exceptiongroup==1.3.0
    # via pytest
execnet==2.1.1
    # via pytest-xdist
filelock==3.18.0
    # via
    #   -r requirements.in
    #   tox
    #   virtualenv
fixtures==4.2.5
    # via requests-mock
ghp-import==2.1.0
    # via
    #   -r requirements.in
    #   mkdocs
gitdb==4.0.12
    # via
    #   -r requirements.in
    #   gitpython
gitpython==3.1.44
    # via
    #   -r requirements.in
    #   mkdocs-git-committers-plugin-2
    #   mkdocs-git-revision-date-localized-plugin
griffe==1.7.3
    # via
    #   -r requirements.in
    #   mkdocstrings-python
htmlmin2==0.1.13
    # via
    #   -r requirements.in
    #   mkdocs-minify-plugin
idna==3.10
    # via
    #   -r requirements.in
    #   requests
iniconfig==2.1.0
    # via pytest
jinja2==3.1.6
    # via
    #   -r requirements.in
    #   mkdocs
    #   mkdocs-material
    #   mkdocstrings
jsmin==3.0.1
    # via
    #   -r requirements.in
    #   mkdocs-minify-plugin
markdown==3.8
    # via
    #   -r requirements.in
    #   markdown-callouts
    #   mdx-gh-links
    #   mkdocs
    #   mkdocs-autorefs
    #   mkdocs-click
    #   mkdocs-material
    #   mkdocstrings
    #   pymdown-extensions
markdown-callouts==0.4.0
    # via -r requirements.in
markupsafe==3.0.2
    # via
    #   -r requirements.in
    #   jinja2
    #   mkdocs
    #   mkdocs-autorefs
    #   mkdocstrings
marshmallow==3.26.1
    # via dataclasses-json
mdx-gh-links==0.4
    # via -r requirements.in
mergedeep==1.3.4
    # via
    #   -r requirements.in
    #   mkdocs
    #   mkdocs-get-deps
mkdocs==1.6.1
    # via
    #   -r requirements.in
    #   mkdocs-autorefs
    #   mkdocs-git-authors-plugin
    #   mkdocs-git-committers-plugin-2
    #   mkdocs-git-revision-date-localized-plugin
    #   mkdocs-literate-nav
    #   mkdocs-material
    #   mkdocs-minify-plugin
    #   mkdocstrings
mkdocs-autorefs==1.4.1
    # via
    #   -r requirements.in
    #   mkdocstrings
    #   mkdocstrings-python
mkdocs-click==0.9.0
    # via -r requirements.in
mkdocs-get-deps==0.2.0
    # via
    #   -r requirements.in
    #   mkdocs
mkdocs-git-authors-plugin==0.9.5
    # via -r requirements.in
mkdocs-git-committers-plugin-2==2.5.0
    # via -r requirements.in
mkdocs-git-revision-date-localized-plugin==1.4.5
    # via -r requirements.in
mkdocs-literate-nav==0.6.2
    # via -r requirements.in
mkdocs-material==9.6.13
    # via -r requirements.in
mkdocs-material-extensions==1.3.1
    # via
    #   -r requirements.in
    #   mkdocs-material
mkdocs-minify-plugin==0.8.0
    # via -r requirements.in
mkdocstrings[python]==0.29.1
    # via
    #   -r requirements.in
    #   mkdocstrings-python
mkdocstrings-python==1.16.10
    # via
    #   -r requirements.in
    #   mkdocstrings
mypy-extensions==1.1.0
    # via typing-inspect
packaging==25.0
    # via
    #   -r requirements.in
    #   marshmallow
    #   mkdocs
    #   pyproject-api
    #   pytest
    #   setuptools-scm
    #   tox
paginate==0.5.7
    # via
    #   -r requirements.in
    #   mkdocs-material
pathspec==0.12.1
    # via
    #   -r requirements.in
    #   mkdocs
platformdirs==4.3.8
    # via
    #   -r requirements.in
    #   mkdocs-get-deps
    #   tox
    #   virtualenv
pluggy==1.5.0
    # via
    #   -r requirements.in
    #   pytest
    #   tox
pygments==2.19.1
    # via
    #   -r requirements.in
    #   mkdocs-material
pymdown-extensions==10.15
    # via
    #   -r requirements.in
    #   mkdocs-material
    #   mkdocstrings
pyproject-api==1.9.1
    # via
    #   -r requirements.in
    #   tox
pytest==8.3.5
    # via
    #   -r requirements.in
    #   pytest-cov
    #   pytest-xdist
    #   syrupy
pytest-cov==6.1.1
    # via -r requirements.in
pytest-xdist==3.6.1
    # via -r requirements.in
python-dateutil==2.9.0.post0
    # via
    #   -r requirements.in
    #   ghp-import
pytz==2025.2
    # via
    #   -r requirements.in
    #   mkdocs-git-revision-date-localized-plugin
pyyaml==6.0.2
    # via
    #   -r requirements.in
    #   mkdocs
    #   mkdocs-get-deps
    #   pymdown-extensions
    #   pyyaml-env-tag
pyyaml-env-tag==1.0
    # via
    #   -r requirements.in
    #   mkdocs
regex==2024.11.6
    # via -r requirements.in
requests==2.32.3
    # via
    #   -r requirements.in
    #   mkdocs-git-committers-plugin-2
    #   mkdocs-material
    #   requests-mock
requests-mock[fixture]==1.12.1
    # via -r requirements.in
setuptools-scm==8.3.1
    # via -r requirements.in
six==1.17.0
    # via
    #   -r requirements.in
    #   python-dateutil
smmap==5.0.2
    # via
    #   -r requirements.in
    #   gitdb
syrupy==4.9.1
    # via -r requirements.in
tomli==2.2.1
    # via
    #   -r requirements.in
    #   coverage
    #   pyproject-api
    #   pytest
    #   setuptools-scm
    #   tox
tox==4.25.0
    # via -r requirements.in
typing-extensions==4.13.2
    # via
    #   -r requirements.in
    #   exceptiongroup
    #   mkdocstrings-python
    #   tox
    #   typing-inspect
typing-inspect==0.9.0
    # via dataclasses-json
urllib3==2.3.0
    # via
    #   -r requirements.in
    #   requests
virtualenv==20.31.2
    # via
    #   -r requirements.in
    #   tox
watchdog==6.0.0
    # via
    #   -r requirements.in
    #   mkdocs

# The following packages are considered to be unsafe in a requirements file:
# setuptools
