=== debian/control ===
--- 
+++ 
@@ -18,10 +18,11 @@
  python3-requests-mock <!nocheck>,
  python3-syrupy <!nocheck>,
 Rules-Requires-Root: no
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://github.com/Ludy87/pyecotrend-ista
 Vcs-Browser: https://salsa.debian.org/homeassistant-team/deps/pyecotrend-ista
 Vcs-Git: https://salsa.debian.org/homeassistant-team/deps/pyecotrend-ista.git
+Testsuite: autopkgtest-pkg-pybuild
 
 Package: python3-pyecotrend-ista
 Architecture: all
