=== debian/watch ===
version=4
https://github.com/Ludy87/pyecotrend-ista/tags .*/v?(\d\S+)\.tar\.gz
