## pyecotrend-ista 3.4.0

=== requirements.txt ===
#
# This file is autogenerated by pip-compile with Python 3.12
# by the following command:
#
#    pip-compile --output-file=requirements.txt requirements.in
#
babel==2.17.0
    # via
    #   -r requirements.in
    #   mkdocs-git-revision-date-localized-plugin
    #   mkdocs-material
backrefs==5.8
    # via mkdocs-material
cachetools==6.1.0
    # via tox
certifi==2025.8.3
    # via requests
chardet==5.2.0
    # via tox
charset-normalizer==3.4.3
    # via requests
click==8.2.1
    # via
    #   mkdocs
    #   mkdocs-click
    #   mkdocs-material
colorama==0.4.6
    # via
    #   click
    #   griffe
    #   mkdocs
    #   mkdocs-material
    #   pytest
    #   tox
coverage[toml]==7.8.0
    # via pytest-cov
csscompressor==0.9.5
    # via
    #   -r requirements.in
    #   mkdocs-minify-plugin
dataclasses-json==0.6.7
    # via -r requirements.in
distlib==0.4.0
    # via virtualenv
execnet==2.1.1
    # via pytest-xdist
filelock==3.19.1
    # via
    #   tox
    #   virtualenv
fixtures==4.2.5
    # via requests-mock
ghp-import==2.1.0
    # via
    #   -r requirements.in
    #   mkdocs
gitdb==4.0.12
    # via gitpython
gitpython==3.1.45
    # via
    #   -r requirements.in
    #   mkdocs-git-committers-plugin-2
    #   mkdocs-git-revision-date-localized-plugin
griffe==1.14.0
    # via mkdocstrings-python
htmlmin2==0.1.13
    # via
    #   -r requirements.in
    #   mkdocs-minify-plugin
idna==3.10
    # via requests
iniconfig==2.1.0
    # via pytest
jinja2==3.1.6
    # via
    #   -r requirements.in
    #   mkdocs
    #   mkdocs-material
    #   mkdocstrings
jsmin==3.0.1
    # via
    #   -r requirements.in
    #   mkdocs-minify-plugin
markdown==3.9
    # via
    #   -r requirements.in
    #   markdown-callouts
    #   mdx-gh-links
    #   mkdocs
    #   mkdocs-autorefs
    #   mkdocs-click
    #   mkdocs-material
    #   mkdocstrings
    #   pymdown-extensions
markdown-callouts==0.4.0
    # via -r requirements.in
markupsafe==3.0.2
    # via
    #   jinja2
    #   mkdocs
    #   mkdocs-autorefs
    #   mkdocstrings
marshmallow==3.26.1
    # via dataclasses-json
mdx-gh-links==0.4
    # via -r requirements.in
mergedeep==1.3.4
    # via
    #   mkdocs
    #   mkdocs-get-deps
mkdocs==1.6.1
    # via
    #   -r requirements.in
    #   mkdocs-autorefs
    #   mkdocs-git-authors-plugin
    #   mkdocs-git-committers-plugin-2
    #   mkdocs-git-revision-date-localized-plugin
    #   mkdocs-literate-nav
    #   mkdocs-material
    #   mkdocs-minify-plugin
    #   mkdocstrings
mkdocs-autorefs==1.4.3
    # via
    #   -r requirements.in
    #   mkdocstrings
    #   mkdocstrings-python
mkdocs-click==0.9.0
    # via -r requirements.in
mkdocs-get-deps==0.2.0
    # via mkdocs
mkdocs-git-authors-plugin==0.10.0
    # via -r requirements.in
mkdocs-git-committers-plugin-2==2.5.0
    # via -r requirements.in
mkdocs-git-revision-date-localized-plugin==1.4.7
    # via -r requirements.in
mkdocs-literate-nav==0.6.2
    # via -r requirements.in
mkdocs-material==9.6.20
    # via -r requirements.in
mkdocs-material-extensions==1.3.1
    # via
    #   -r requirements.in
    #   mkdocs-material
mkdocs-minify-plugin==0.8.0
    # via -r requirements.in
mkdocstrings[python]==0.30.1
    # via
    #   -r requirements.in
    #   mkdocstrings-python
mkdocstrings-python==1.18.2
    # via mkdocstrings
mypy-extensions==1.1.0
    # via typing-inspect
packaging==25.0
    # via
    #   marshmallow
    #   mkdocs
    #   pyproject-api
    #   pytest
    #   tox
paginate==0.5.7
    # via
    #   -r requirements.in
    #   mkdocs-material
pathspec==0.12.1
    # via mkdocs
platformdirs==4.3.8
    # via
    #   mkdocs-get-deps
    #   tox
    #   virtualenv
pluggy==1.6.0
    # via
    #   pytest
    #   pytest-cov
    #   tox
pygments==2.19.2
    # via
    #   -r requirements.in
    #   mkdocs-material
    #   pytest
pymdown-extensions==10.16.1
    # via
    #   -r requirements.in
    #   mkdocs-material
    #   mkdocstrings
pyproject-api==1.9.1
    # via tox
pytest==8.4.1
    # via
    #   -r requirements.in
    #   pytest-cov
    #   pytest-xdist
    #   syrupy
pytest-cov==6.2.1
    # via -r requirements.in
pytest-xdist==3.8.0
    # via -r requirements.in
python-dateutil==2.9.0.post0
    # via
    #   -r requirements.in
    #   ghp-import
pytz==2025.2
    # via
    #   -r requirements.in
    #   mkdocs-git-revision-date-localized-plugin
pyyaml==6.0.2
    # via
    #   mkdocs
    #   mkdocs-get-deps
    #   pymdown-extensions
    #   pyyaml-env-tag
pyyaml-env-tag==1.1
    # via mkdocs
regex==2025.9.18
    # via -r requirements.in
requests==2.32.4
    # via
    #   -r requirements.in
    #   mkdocs-git-committers-plugin-2
    #   mkdocs-material
    #   requests-mock
requests-mock[fixture]==1.12.1
    # via -r requirements.in
six==1.17.0
    # via python-dateutil
smmap==5.0.2
    # via gitdb
syrupy==4.9.1
    # via -r requirements.in
tox==4.30.2
    # via -r requirements.in
typing-extensions==4.14.1
    # via typing-inspect
typing-inspect==0.9.0
    # via dataclasses-json
urllib3==2.5.0
    # via requests
virtualenv==20.34.0
    # via tox
watchdog==6.0.0
    # via
    #   -r requirements.in
    #   mkdocs
