=== debian/control ===
--- 
+++ 
@@ -17,7 +17,6 @@
  python3-pytest-xdist <!nocheck>,
  python3-requests-mock <!nocheck>,
  python3-syrupy <!nocheck>,
-Rules-Requires-Root: no
 Standards-Version: 4.7.2
 Homepage: https://github.com/Ludy87/pyecotrend-ista
 Vcs-Browser: https://salsa.debian.org/homeassistant-team/deps/pyecotrend-ista
