=== debian/rules ===
#!/usr/bin/make -f
export PYBUILD_TEST_ARGS=--snapshot-warn-unused

%:
	dh $@ --buildsystem=pybuild
