=== debian/watch ===
Version: 5

Template: Github
Owner: Ludy87
Project: pyecotrend-ista
