=== debian/changelog ===
pyecotrend-ista (3.5.0-1) unstable; urgency=medium

  * New upstream release.

 -- Edward Betts <edward@4angle.com>  Fri, 12 Dec 2025 08:58:27 +0000
